Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deBitmap.hpp File Reference

bitmap loading & conversion More...

`#include "deGlobalTypes.hpp"`
`#include "deResource.hpp"`
`#include "deDriver.hpp"`
`#include "deWorld.hpp"`

Include dependency graph for deBitmap.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | IdeBitmap
class | IdeBitmapProxy
## Defines
#define | BITMAP_API extern "C" DEDLL_IMPORT
## Functions
C DEDLL_IMPORT deBoolean | IdeBitmap_Initialize ()
| initialize the bitmap module
C DEDLL_IMPORT IdeBitmap * | IdeBitmap_CreateBitmap ()
| create a zero'd bitmap
DEDLL_IMPORT IdeBitmapProxy * | IdeBitmap_CreateProxy (IdeResourceBase *FromBitmap=(0))
C DEDLL_IMPORT IdeBitmap * | IdeBitmap_CreateBitmapWithInfo (long Width, long Height, IdeDriver::BPP Format, deBoolean CubeMap=(DE_FALSE))
| create a bitmap with specific attributes (not cleared)
C DEDLL_IMPORT long | IdeBitmap_GetRscInterfaceID ()
| get the IdeBitmap resource interface ID for use in IdeResourceBase::GetRscInterface
C DEDLL_IMPORT long | IdeBitmapProxy_GetWOInterfaceID ()
| get the IdeBitmapProxy dworld object interface ID for use in IdeWorldObject::GetWOInterface

## Detailed Description

bitmap loading & conversion

Author:
  Assassin, Hootie, paradoxnj

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Jan 2002

Author:
  Assassin

Remarks:
  Initial Creation

## Define Documentation

#define BITMAP_API extern "C" DEDLL_IMPORT

## Function Documentation

C DEDLL_IMPORT IdeBitmap* IdeBitmap_CreateBitmap | ( |  | ) |

| create a zero'd bitmap

C DEDLL_IMPORT IdeBitmap* IdeBitmap_CreateBitmapWithInfo | ( | long | Width,
|  | long | Height,
|  | IdeDriver::BPP | Format,
|  | deBoolean | CubeMap = (DE_FALSE)
| ) |

| create a bitmap with specific attributes (not cleared)

DEDLL_IMPORT IdeBitmapProxy* IdeBitmap_CreateProxy | ( | IdeResourceBase * | FromBitmap = (0) | ) |

  | create a bitmap proxy Parameters:
  FromBitmap | an IdeBitmap to create a proxy from
Returns: valid IdeBitmapProxy object if FromBitmap was a NULL or a valid bitmap

C DEDLL_IMPORT long IdeBitmap_GetRscInterfaceID | ( |  | ) |

| get the IdeBitmap resource interface ID for use in IdeResourceBase::GetRscInterface

C DEDLL_IMPORT deBoolean IdeBitmap_Initialize | ( |  | ) |

| initialize the bitmap module

C DEDLL_IMPORT long IdeBitmapProxy_GetWOInterfaceID | ( |  | ) |

| get the IdeBitmapProxy dworld object interface ID for use in IdeWorldObject::GetWOInterface